TrackSend_args (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.bizapp.shared.lather.TrackSend_args class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.bizapp.shared.lather
Class TrackSend_args

    java.lang.Object
      org.hyperic.lather.LatherValue
          org.hyperic.hq.bizapp.shared.lather.SecureAgentLatherValue
              org.hyperic.hq.bizapp.shared.lather.TrackSend_args

    public class TrackSend_args

extends SecureAgentLatherValue

Arguments for sending log file messages

Field Summary
`static int` | `TYPE_CONFIG`
`static int` | `TYPE_LOG`

Constructor Summary
`TrackSend_args()`

Method Summary
`TrackEventReport` | `getEvents()`
`int` | `getType()`
`void` | `setEvents(TrackEventReport eventsReport)`
`void` | `setType(int type)`
`void` | `validate()`

Methods inherited from class org.hyperic.hq.bizapp.shared.lather.SecureAgentLatherValue
`getAgentToken, setAgentToken`

Methods inherited from class org.hyperic.lather.LatherValue
`addByteAToList, addDoubleToList, addIntToList, addObjectToList, addStringToList, getByteAList, getByteALists, getByteAVals, getByteAValue, getDoubleList, getDoubleLists, getDoubleVals, getDoubleValue, getIntList, getIntLists, getIntVals, getIntValue, getLongVals, getLongValue, getObjectList, getObjectLists, getObjectVals, getObjectValue, getStringList, getStringLists, getStringVals, getStringValue, setByteAValue, setDoubleValue, setIntValue, setLongValue, setObjectValue, setStringValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TYPE_LOG

    public static final int TYPE_LOG

See Also:
  Constant Field Values

### TYPE_CONFIG

    public static final int TYPE_CONFIG

See Also:
  Constant Field Values

Constructor Detail

### TrackSend_args

    public TrackSend_args()

Method Detail

### getType

    public int getType()

### setType

    public void setType(int type)

### getEvents

    public TrackEventReport getEvents()
                               throws org.hyperic.lather.LatherRemoteException

  Throws:
    `org.hyperic.lather.LatherRemoteException`

### setEvents

    public void setEvents(TrackEventReport eventsReport)

### validate

    public void validate()
                  throws org.hyperic.lather.LatherRemoteException

  Overrides:
    `validate` in class `SecureAgentLatherValue`
  Throws:
    `org.hyperic.lather.LatherRemoteException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.